__gnu_pbds::sample_trie_access_traits(3)

NAME
__gnu_pbds::sample_trie_access_traits -

SYNOPSIS

  Public Types
enum { max_size }
typedef _Alloc::template
rebind< key_type > __rebind_k"
typedef std::string::const_iterator const_iterator
typedef char e_type
typedef
__rebind_k::other::const_reference key_const_reference"
typedef std::string key_type
typedef std::size_t size_type

  Static Public Member Functions
static const_iterator begin (key_const_reference)
static size_type e_pos (e_type)
static const_iterator end (key_const_reference)

Detailed Description

A sample trie element access traits.

Definition at line 47 of file sample_trie_access_traits.hpp.

Member Typedef Documentation

  typedef char __gnu_pbds::sample_trie_access_traits::e_type

Element type.

Definition at line 57 of file sample_trie_access_traits.hpp.

Member Function Documentation

  static const_iterator __gnu_pbds::sample_trie_access_traits::begin (key_const_reference) [inline], [static]

Returns a const_iterator to the first element of r_key.

  static size_type __gnu_pbds::sample_trie_access_traits::e_pos (e_type) [inline], [static]

Maps an element to a position.

  static const_iterator __gnu_pbds::sample_trie_access_traits::end (key_const_reference) [inline], [static]

Returns a const_iterator to the after-last element of r_key.

Author

Generated automatically by Doxygen for libstdc++ from the source code.